###############################################
###           CPANPLUS::Config              ###
###  Configuration structure for CPANPLUS   ###
###############################################

#last changed: Sun Jun 20 13:16:28 2004 GMT

package CPANPLUS::Config;

$VERSION = "0.051";

$MIN_CPANPLUS_VERSION = '0.050_03';

use strict;

sub new {
    my $class = shift;

    my $conf = {
                 '_fetch' => {
                               'blacklist' => [ 'ftp' ],
                             },
                 '_daemon' => {
                                'password' => '',
                                'port' => '1337',
                                'username' => 'cpanplus'
                              },
                 'conf' => {
                             'hosts' => [
                                          {
                                            'scheme' => 'ftp',
                                            'path' => '/pub/CPAN/',
                                            'host' => 'ftp.cpan.org'
                                          },
                                          {
                                            'scheme' => 'http',
                                            'path' => '/',
                                            'host' => 'www.cpan.org'
                                          },
                                          {
                                            'scheme' => 'ftp',
                                            'path' => '/pub/CPAN/',
                                            'host' => 'ftp.nl.uu.net'
                                          },
                                          {
                                            'scheme' => 'ftp',
                                            'path' => '/pub/CPAN/',
                                            'host' => 'cpan.valueclick.com'
                                          },
                                          {
                                            'scheme' => 'ftp',
                                            'path' => '/pub/languages/perl/CPAN/',
                                            'host' => 'ftp.funet.fi'
                                          }
                                        ],
                             'timeout' => 300,
                             'verbose' => 0,
                             'storable' => 1,
                             'skiptest' => 0,
                             'makeflags' => '',
                             'email' => 'cpanplus@example.com',
                             'dist_type' => '',
                             'debug' => 0,
                             'lib' => [],
                             'makemakerflags' => '',
                             'prefer_makefile' => 0,
                             'prefer_bin' => 0,
                             'shell' => 'CPANPLUS::Shell::Default',
                             'base' => '',
                             'no_update' => 0,
                             'buildflags' => '',
                             'force' => 0,
                             'prereqs' => 2,
                             'cpantest' => 0,
                             'signature' => 0,
                             'flush' => 1,
                             'allow_build_interactivity' => 1,
                             'passive' => 1,
                             'md5' => 1,
                             'fetchdir' => '',
                             'extractdir' => '',
                           },
                 'program' => {
                                'make' => '',
                                'perl' => '',
                                'editor' => '',
                                'sudo' => '',
                                'shell' => '',
                                'pager' => '',
                              },
                 '_source' => {
                                'hosts' => 'MIRRORED.BY',
                                'auth' => '01mailrc.txt.gz',
                                'stored' => 'sourcefiles',
                                'dslip' => '03modlist.data.gz',
                                'update' => '86400',
                                'mod' => '02packages.details.txt.gz'
                              },
                 '_build' => {
                               'plugins' => 'plugins/',
                               'moddir' => 'build/',
                               'startdir' => '',
                               'distdir' => 'dist/',
                               'autobundle' => 'autobundle/',
                               'autobundle_prefix' => 'Snapshot',
                               'autdir' => 'authors/',
                               'sanity_check' => 1,
                             },
                 '_mirror' => {
                                'base' => 'authors/id/',
                                'auth' => 'authors/01mailrc.txt.gz',
                                'dslip' => 'modules/03modlist.data.gz',
                                'mod' => 'modules/02packages.details.txt.gz'
                              },
                 '_dist' => {
                              ### these are separate installs
                              #'debian' => 'CPANPLUS::Dist::Deb',
                              #'ports' => 'CPANPLUS::Dist::Ports',
                              'CPANPLUS::Dist::MM' => 1,
                              'CPANPLUS::Dist::Build' => 1,
                            }
    };

    bless($conf, $class);
    return $conf;

} #new


1;

__END__
